Skip to main content
Get time series data for a measurement
curl --request GET \
  --url https://api.ionworks.com/cell_measurements/{measurement_id}/time_series
import requests

url = "https://api.ionworks.com/cell_measurements/{measurement_id}/time_series"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.ionworks.com/cell_measurements/{measurement_id}/time_series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

measurement_id
string
required

Query Parameters

target_rows
integer | null

Target rows for downsampled time series

Required range: x >= 1
columns
string | null

Comma-separated list of columns to load (e.g., 'time,voltage')

step_counts
string | null

Comma-separated list of step counts to filter (e.g., '0,1,2')

cycle_counts
string | null

Comma-separated list of cycle counts to filter (e.g., '1,2,3')

time_min
number | null

Deprecated: use x_min

time_max
number | null

Deprecated: use x_max

x_min
number | null

Minimum x-axis value to filter

x_max
number | null

Maximum x-axis value to filter

x_column
string | null

Column name for x-axis filtering (e.g., 'Time [s]')

Response

Successful Response